Loading...
Searching...
No Matches
SVN++ Client

Client Operations. More...

## Functions

revision::number | apache::subversion::svnxx::client::status (context &ctx, const char *path, const revision &rev, depth depth, status_flags flags, status_callback callback)
| Perform a status operation on path.
svnxx::detail::future< revision::number > | apache::subversion::svnxx::client::async::status (std::launch policy, context &ctx, const char *path, const revision &rev, depth depth_, status_flags flags, status_callback callback)
| Perform an asynchronous status operation on path.
svnxx::detail::future< revision::number > | apache::subversion::svnxx::client::async::status (context &ctx, const char *path, const revision &rev, depth depth_, status_flags flags, status_callback callback)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Detailed Description

Client Operations.

# Client Operations

TODO: document this

## Function Documentation

## status() [1/3]

svnxx::detail::future< revision::number > apache::subversion::svnxx::client::async::status | ( | context & | ctx,
|  | const char * | path,
|  | const revision & | rev,
|  | depth | depth_,
|  | status_flags | flags,
|  | status_callback | callback )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Note
  Uses the std::launch policy set to std::launch::async|std::launch::deferred.

References path.

## status() [2/3]

svnxx::detail::future< revision::number > apache::subversion::svnxx::client::async::status | ( | std::launch | policy,
|  | context & | ctx,
|  | const char * | path,
|  | const revision & | rev,
|  | depth | depth_,
|  | status_flags | flags,
|  | status_callback | callback )

Perform an asynchronous status operation on path.

Behaves as if svn::client::status() were invoked through std::async(), but also maintains the lifetime of internal state relevant to the status operation.

Warning
  Any callbacks regietered in ctx, as well as the status callback itself, may be called in the context of a different thread than the one that created this asynchronous operation.

References path.

## status() [3/3]

revision::number apache::subversion::svnxx::client::status | ( | context & | ctx,
|  | const char * | path,
|  | const revision & | rev,
|  | depth | depth,
|  | status_flags | flags,
|  | status_callback | callback )

Perform a status operation on path.

Parameters

  ctx | the context object to use for this operation
  path | the (root) path for the status walk.
  rev | the revision to use when `check_out_of_date` is set in flags
  depth | the depth of the operation
  flags | a combination of `status_flags`
  callback | a function that will be called for each status target

Warning
  TODO: Work in progress

See also
  svn_client_status6

References path.